apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-04-09T11:47:38Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:migrateSharedDisks': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:targetNamespace': {}
          'f:vms': {}
      manager: Mozilla
      operation: Update
      time: '2025-04-09T11:47:38Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-04-09T11:56:09Z'
  name: virtv2v
  namespace: openshift-mtv
  resourceVersion: '5756121'
  uid: c9fa8e18-0b19-4a84-aa54-38882b13185f
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: testing-ktxsn
      namespace: openshift-mtv
      uid: 4278919d-7c1c-45db-b863-5eb8b4b31cf9
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: testing-q8rn8
      namespace: openshift-mtv
      uid: 772e5b36-09ac-4e7b-8e30-f2fc951a5dd2
  migrateSharedDisks: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: a67a9637-1ee2-4d0a-824b-dea38b54b509
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: testing
      namespace: openshift-mtv
      uid: 567b6bf0-daab-47f2-90ad-0a7b33954e38
  targetNamespace: openshift-mtv
  vms:
    - id: 0a40fe382d080460101d1d463acd0e310308
      name: 1nisim-rhel9-efi
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-04-09T11:47:38Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-04-09T11:56:09Z'
      message: The plan execution has SUCCEEDED.
      status: 'True'
      type: Succeeded
  migration:
    completed: '2025-04-09T11:56:09Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-04-09T11:56:09Z'
            message: The plan execution has SUCCEEDED.
            status: 'True'
            type: Succeeded
        map:
          network:
            generation: 1
            name: testing-ktxsn
            namespace: openshift-mtv
            uid: 4278919d-7c1c-45db-b863-5eb8b4b31cf9
          storage:
            generation: 1
            name: testing-q8rn8
            namespace: openshift-mtv
            uid: 772e5b36-09ac-4e7b-8e30-f2fc951a5dd2
        migration:
          generation: 1
          name: virtv2v-zxdhm
          namespace: openshift-mtv
          uid: 2c829766-4124-4f8a-b942-bca605335157
        plan:
          generation: 1
          name: virtv2v
          namespace: openshift-mtv
          uid: c9fa8e18-0b19-4a84-aa54-38882b13185f
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: a67a9637-1ee2-4d0a-824b-dea38b54b509
          source:
            generation: 1
            name: testing
            namespace: openshift-mtv
            uid: 567b6bf0-daab-47f2-90ad-0a7b33954e38
    started: '2025-04-09T11:47:42Z'
    vms:
      - started: '2025-04-09T11:47:42Z'
        pipeline:
          - completed: '2025-04-09T11:47:55Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-04-09T11:47:42Z'
          - annotations:
              unit: MB
            completed: '2025-04-09T11:48:31Z'
            description: Allocate disks.
            name: DiskAllocation
            phase: Completed
            progress:
              completed: 10240
              total: 10240
            started: '2025-04-09T11:47:58Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2025-04-09T11:48:31Z'
                name: '/ova/rhel9-efi.ova::1nisim-rhel9-efi-1.vmdk'
                phase: Completed
                progress:
                  completed: 10240
                  total: 10240
                reason: Transfer completed.
                started: '2025-04-09T11:48:01Z'
          - completed: '2025-04-09T11:51:43Z'
            description: Convert image to kubevirt.
            name: ImageConversion
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-04-09T11:48:34Z'
          - annotations:
              unit: MB
            completed: '2025-04-09T11:56:06Z'
            description: Copy disks.
            name: DiskTransferV2v
            phase: Completed
            progress:
              completed: 10240
              total: 10240
            started: '2025-04-09T11:51:46Z'
            tasks:
              - annotations:
                  unit: MB
                name: '/ova/rhel9-efi.ova::1nisim-rhel9-efi-1.vmdk'
                progress:
                  completed: 716
                  total: 10240
          - completed: '2025-04-09T11:56:09Z'
            description: Create VM.
            name: VirtualMachineCreation
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-04-09T11:56:09Z'
        completed: '2025-04-09T11:56:09Z'
        name: 1nisim-rhel9-efi
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-04-09T11:56:09Z'
            message: The VM migration has SUCCEEDED.
            status: 'True'
            type: Succeeded
        id: 0a40fe382d080460101d1d463acd0e310308
        phase: Completed
        firmware: uefi
  observedGeneration: 1
